%bcond_with mozilla_publicsuffix

Summary:        Minimalist HTTP user agent cookie jar
Name:           perl-HTTP-CookieJar
Version:        0.014
Release:        4%{?dist}
License:        Apache-2.0
URL:            https://metacpan.org/release/HTTP-CookieJar
Source0:        https://cpan.metacpan.org/authors/id/D/DA/DAGOLDEN/HTTP-CookieJar-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  perl-interpreter perl-generators
BuildRequires:  perl(Carp) perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Find) perl(File::Spec::Functions) perl(File::Temp)
BuildRequires:  perl(HTTP::Date) perl(HTTP::Request) perl(HTTP::Response)
BuildRequires:  perl(List::Util) perl(parent)
%if %{with mozilla_publicsuffix}
BuildRequires:  perl(Mozilla::PublicSuffix)
%endif
BuildRequires:  perl(Test::Deep) perl(Test::More) perl(Test::Requires)
BuildRequires:  perl(Time::Local) perl(URI) perl(strict) perl(warnings)
BuildArch:      noarch

%description
This module implements a minimalist HTTP user agent cookie jar in
conformance with RFC 6265.

%prep
%autosetup -n HTTP-CookieJar-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes CONTRIBUTING.mkdn LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.014-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.014-1
- Add for buildding perl-libwww-perl 6.72
